# ApplicationFramework
TKPLCAF
PDocStd

# PDocStd_XLink Class Reference

`#include <PDocStd_XLink.hxx>`

Inheritance diagram for PDocStd_XLink:

[legend]

## Public Member Functions

Standard_EXPORT | PDocStd_XLink ()
| Returns an empty persistent external reference. .
Standard_EXPORT void | DocumentEntry (const Handle(PCollection_HAsciiString)&aDocEntry)
| Sets the field <mydocentry> with <adocentry>. .
Standard_EXPORT Handle_PCollection_HAsciiString | DocumentEntry () const
| Returns the contents of the field <mydocentry>. .
Standard_EXPORT void | LabelEntry (const Handle(PCollection_HAsciiString)&aLabEntry)
| Sets the field <mylabentry> with <alabentry>. .
Standard_EXPORT Handle_PCollection_HAsciiString | LabelEntry () const
| Returns the contents of the field <mylabentry>. .
| PDocStd_XLink (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HAsciiString) _CSFDB_GetPDocStd_XLinkmyDocEntry() const
void | _CSFDB_SetPDocStd_XLinkmyDocEntry (const Handle(PCollection_HAsciiString)&p)
| Handle (PCollection_HAsciiString) _CSFDB_GetPDocStd_XLinkmyLabEntry() const
void | _CSFDB_SetPDocStd_XLinkmyLabEntry (const Handle(PCollection_HAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PCollection_HAsciiString | myDocEntry
Handle_PCollection_HAsciiString | myLabEntry

## Constructor & Destructor Documentation

Standard_EXPORT PDocStd_XLink::PDocStd_XLink | ( |  | ) |

PDocStd_XLink::PDocStd_XLink | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDocStd_XLink::_CSFDB_SetPDocStd_XLinkmyDocEntry | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

void PDocStd_XLink::_CSFDB_SetPDocStd_XLinkmyLabEntry | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

Standard_EXPORT Handle_PCollection_HAsciiString PDocStd_XLink::DocumentEntry | ( |  | ) | const

Standard_EXPORT void PDocStd_XLink::DocumentEntry | ( | const Handle(PCollection_HAsciiString)& | aDocEntry | ) |

Standard_EXPORT const PDocStd_XLink::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDocStd_XLink::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

PDocStd_XLink::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

Standard_EXPORT Handle_PCollection_HAsciiString PDocStd_XLink::LabelEntry | ( |  | ) | const

Standard_EXPORT void PDocStd_XLink::LabelEntry | ( | const Handle(PCollection_HAsciiString)& | aLabEntry | ) |

## Field Documentation

Handle_PCollection_HAsciiString PDocStd_XLink::myDocEntry `[private]`

Handle_PCollection_HAsciiString PDocStd_XLink::myLabEntry `[private]`

The documentation for this class was generated from the following file:

- PDocStd_XLink.hxx